.headline-example-code-container{
	border:0px solid yellow;
}

.play-ground{
	border:0px solid red;
}

#target{
	border:0px solid;
	width:auto !important;
	height:auto !important;
	min-height:0 !important;
	margin:0px !important;
	text-align: left !important;
}

.flex_generator{
	display:flex;
	align-items: center;
	justify-content: left;
	padding-bottom:5px;
	border-bottom:1px solid var(--skillflow-base-font-color);
}

.color-flex{
	margin-bottom:10px;
}

.margin-right{
  display: flex;
  align-items: center;
  gap: 8px;
  margin-right: 15px;
}

label{
  display: inline-block;
  width: 115px;
  line-height: 1;
  cursor:pointer;
}

input[type='color']{
	width:30px;
	height:30px;
	border:0px;
    padding: 0px 0px;
	cursor:pointer;
}

.ausgabe{
	width:145px;
	height:15px;
	font-size:11pt;
	padding:5px;
}

.prozent-von, .prozent-bis{
	width:50px;
}

.bg-graphical {
    width: 50%;
	min-width:150px;
    max-width: 1280px;
    height: 150px;
    margin: 10px auto;
    background: linear-gradient(-22deg, rgba(112, 175, 4, 1) 50%, rgba(255, 0, 0, 1) 100%);
}

.selectGradient{
	margin-bottom:15px;
}

.myDeg{
	width:50px;
	height:15px;
}

#colorRange{
	margin:15px 0px;
}

.more-rage-button{
    width: auto;
    padding: 5px 5px;
    color: #FFF;
    background-color: rgb(112, 175, 4);
    cursor: pointer;
}

.none{
	display:none;
}

.red{
	background-color:rgb(255,0,0);
}

#code {
    /*width: 98%;*/
    /*max-width: 1280px;*/
	min-height: 30px;
    padding: 5px;
    font-size: 12pt;
    font-weight: 900;
	color:var(--white);
    text-align: center;
    margin: 10px auto;
    /*visibility: hidden;*/
    border: 1px solid var(--white);
}

.buttons-oben{
border-bottom: 1px solid var(--skillflow-base-font-color);
    text-align: center;
    padding: 5px;
    padding-bottom: 10px;
}

.gradient-wrapper{
	display: flex;
	border-bottom:1px solid var(--skillflow-base-font-color);
}

.gradient-headline{
	font-weight:600;
	margin-top: 15px;
	color:var(--white);
}

input.myRadioButton{
	
}
.myRadioButton{
	position:relative;
	width:5px !important;
}
	.myRadioButton:before {
		content:'';
		position:absolute;
		left: -4px;
		top: 4px;
		background-color:var(--black); /* Costomer Color */
		border:3px solid rgb(0,255,255); /* Costomer Color */
		border-radius:50%;
		width:15px;
		height:15px;
		z-index:1;
	}
	.myRadioButton:after {
		content:'';
		position:absolute;
		left: 2px;
		top: 11px;
		background-color:var(--skillflow-base-font-color); /* Costomer Color */
		border:0px solid blue; /* Costomer Color */
		border-radius:50%;
		width:7px;
		height:7px;
		z-index:-1;	
	}	
	.myRadioButton:checked:after{
		z-index:2;
	}

/* START::: range */

.range-wrapper{
	text-align:center;
}

output {
    display: inline-block;
    width: 40px;
    height: 25px;
    line-height: 25px;
    border: 1px solid var(--skillflow-base-font-color);
    padding: 4px;
}

/* Der Slider-Track (Linie) */
input[type="range"]::-webkit-slider-runnable-track {
  background: linear-gradient(4deg, 
	rgba(112, 175, 4, 1) 0%, 
	rgba(0,75,64, 1) 50%, 
	rgba(32,167,77,1) 100%);
  height: 6px;
  border-radius: 3px;
}
input[type="range"]::-moz-range-track {
  background: linear-gradient(4deg, 
	rgba(112, 175, 4, 1) 0%, 
	rgba(0,75,64, 1) 50%, 
	rgba(32,167,77,1) 100%);
  height: 6px;
  border-radius: 3px;
}
/* Der Thumb (Schiebepunkt) */
input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 18px;
  height: 18px;
  border-radius: 50%;
  background: #444;
  cursor: pointer;
  margin-top: -6px; /* Zentriert den Thumb */
}
input[type="range"]::-moz-range-thumb {
  width: 18px;
  height: 18px;
  border-radius: 50%;
  background: #434343;
  cursor: pointer;
}

/* ENDE::: range */

input {
    height: 25px !important;
}